upstream fastcgi_backend {
  server  unix:/run/php/php8.1-fpm.sock;
}

#server {

#  listen 8080;
  #server_name mag1.kentest.xyz;
  #server_name ipsupply.com.au www.ipsupply.com.au;
#  server_name prology.net;
#  set $MAGE_ROOT /var/www/html/ipsupply_prod;
#  set $MAGE_RUN_TYPE website;
#  set $MAGE_MODE developer;

#  include /var/www/html/ipsupply_prod/nginx.conf.sample;
#}



#------------------------------------------------------------------
server {

  listen 80;
  listen [::]:80;
#  server_name mag1.kentest.xyz;

  #return 301 https://mag1.kentest.xyz$request_uri;
  server_name gtc.nswteam.net;
  root /var/www/html/gtc/public; # Path to your Laravel public directory

  index index.php index.html index.htm;

  location / {
      try_files $uri $uri/ /index.php?$query_string;
  }

  location ~ \.php$ {
      try_files $uri /index.php =404;
      fastcgi_split_path_info ^(.+\.php)(/.+)$;
      fastcgi_pass fastcgi_backend; # Adjust the PHP version and socket path as needed
      fastcgi_index index.php;
      fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
      include fastcgi_params;
  }

  location ~ /\.ht {
      deny all;
  }
}

#server {

# listen 443 ssl http2;
#  listen [::]:443 ssl http2;
#  server_name mag1.kentest.xyz;

  #ssl on;
#  ssl_certificate /etc/letsencrypt/live/mag1.kentest.xyz/fullchain.pem;
#  ssl_certificate_key /etc/letsencrypt/live/mag1.kentest.xyz/privkey.pem;
##
#  set $MAGE_ROOT /var/www/html/ipsupply_prod;
#  include /var/www/html/ipsupply_prod/nginx.conf.sample;
##
#  location / {
    #try_files $uri $uri/ /index.php$is_args$args;
#    proxy_pass http://127.0.0.1:80;
#    proxy_set_header Host $host;
#    proxy_set_header X-Forwarded-Host $http_host;
#    proxy_set_header X-Real-IP $remote_addr;
#    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
#    proxy_set_header Ssl-Offloaded "1";
#    proxy_set_header X-Forwarded-Port 443;
#    proxy_set_header X-Forwarded-Proto https;
#    proxy_set_header X-Forwarded-Ssl on;
#    proxy_buffer_size 128k;
#    proxy_buffers 4 256k;
#    proxy_busy_buffers_size 256k;
#    fastcgi_buffer_size 32k;
#    fastcgi_buffers 4 32k;
#  }

#}
